Bug 4131 - Failed RPM build
Failed RPM build
Status: CLOSED DEFERRED
Product: Red Hat Raw Hide
Classification: Retired
Component: tcltk (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-21 04:47 EDT by enrico.scholz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-02 12:45:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description enrico.scholz 1999-07-21 04:47:17 EDT
While building tcltk as an ordinary user I get:

------------------------------------
$rpm --rebuild tcltk-8.0.5-30.src.rpm
[...]
#!/bin/sh
+ cp -a
/var/tmp/tcltk-root/usr/lib/iwidgets2.2.0/demos/buttonbox
/var/tmp/tcltk-root/usr/lib/iwidgets2.2.0/demos/buttonbox.in
+ sed s|/var/tmp/tcltk-root||
/var/tmp/rpm-tmp.30150:
/var/tmp/tcltk-root/usr/lib/iwidgets2.2.0/demos/buttonbox:
Keine Berechtigung
Bad exit status from /var/tmp/rpm-tmp.30150 (%install)

$ ls -l
/var/tmp/tcltk-root/usr/lib/iwidgets2.2.0/demos/buttonbox
-r-xr-xr-x   1 ensc     users         611 Jul 21 02:14
/var/tmp/tcltk-root/usr/lib/iwidgets2.2.0/demos/buttonbox
--------------------------------------

Additionally the owner/group values of the files will remain
the id of the user building the RPM.

I will send a patch to correct the .spec file.
Comment 1 Jeff Johnson 1999-09-02 12:41:59 EDT
I will add these changes the next time I rebuild tcltk.

Note You need to log in before you can comment on or make changes to this bug.